Bug 134182 - Windows key doesn't bring up the Start menu equivalent
Windows key doesn't bring up the Start menu equivalent
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: metacity (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-29 21:20 EDT by seth arnold
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-10 00:19:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description seth arnold 2004-09-29 21:20:12 EDT
Description of problem:
I installed RHEL4b1 on a workstation without a mouse. The system
booted straight into X when finished with firstboot. (I wasn't
intending on using X on this machine, but I do like to use
"Everything" installs.)

Once Gnome was started, I hit the Windows key on my keyboard, and the
Gnome equivalent to Window's Start Menu did not come up as I expected.

Please add a default keybinding so that the Start menu comes up when
the Windows button is pressed.

Thank you.

Version-Release number of selected component (if applicable):
gnome-panel-2.7.92.1-1

How reproducible:
Always

Steps to Reproduce:
1. Fresh "everything" install (probably not necessary; at least gnome)
2. Unplug any mice you may have
3. Log in through GDM
4. Hit the Windows Key on your keyboard

    

Actual Results:  Absolutely nothing.

Expected Results:  The Start Menu (with the Shadowman icon) should
have come up.
Comment 1 Mark McLoughlin 2004-09-30 02:25:08 EDT
Keybinding for the main menu is Alt-F1, and defined in metacity.

To change it for yourself, go to Preferences->Keyboard Shortcuts and
change the "Show the panel menu" keybinding.

(Personally, I always change it to Ctrl-Esc :-)
Comment 2 seth arnold 2004-10-20 21:09:49 EDT
Hah, I tried changing it via the keyboard (thanks for telling me what
the accelerator IS, even if the default still doesn't make sense to
me) and I can't change the key using the keyboard shortcuts
application. It requires _clicking_ on the line in question, but
without a mouse, that's a little difficult.

I would expect <enter> to work, but it doesn't appear to.

(Furthermore, scrolling through the list with keyboard arrows causes
the list to act oddly -- entries further down will overwrite the
'current' entry when scrolling down, entries higher up will overwrite
the current entry when scrolling up. It happens once the display had
to scroll outside its window.)
Comment 3 Havoc Pennington 2004-11-10 00:19:41 EST
Bug http://bugzilla.gnome.org/show_bug.cgi?id=157824 tracks discussion
of the default binding for this.

There are arcane technical reasons why it's hard to implement a
binding to only a modifier key such as the Windows key though. It
would also be hard to bind to just shift/control/etc.


Note You need to log in before you can comment on or make changes to this bug.